import { ref, watch } from 'vue'

export const darkMode = ref(true)

watch(darkMode, val => {
  if (val) {
    document.documentElement.classList.add('dark')
  }
  else {
    document.documentElement.classList.remove('dark')
  }
  localStorage.setItem('n0_dark', val ? 'true' : 'false')
})

export function isDarkModeDefault(): boolean {
  return (
    window.matchMedia &&
    window.matchMedia('(prefers-color-scheme: dark)').matches
  )
}
